Bug 594974 - [abrt] crash in thunderbird-3.0.4-2.fc12: Process /usr/lib64/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in thunderbird-3.0.4-2.fc12: Process /usr/lib64/thunderbird-3.0/...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
(Show other bugs)
Version: 12
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:72c42348c2b6be717b8d807586b...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-22 12:38 UTC by jeder
Modified: 2018-04-11 07:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 14:27:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (160.23 KB, text/plain)
2010-05-22 12:38 UTC, jeder
no flags Details

Description jeder 2010-05-22 12:38:26 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/thunderbird-3.0/thunderbird-bin
component: thunderbird
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib64/thunderbird-3.0/thunderbird-bin
global_uuid: 72c42348c2b6be717b8d807586b0f0a3533cb0d6
kernel: 2.6.32.11-99.fc12.x86_64
package: thunderbird-3.0.4-2.fc12
rating: 4
reason: Process /usr/lib64/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

Comment 1 jeder 2010-05-22 12:38:33 UTC
Created attachment 415855 [details]
File: backtrace

Comment 2 Matěj Cepl 2010-05-29 21:46:23 UTC
#2  <signal handler called>
No symbol table info available.
#3  _pango_ot_info_substitute (info=0x7fcb80d91dc0 [PangoOTInfo], 
    ruleset=<value optimized out>, buffer=0x7fcb958f2ee0)
    at pango-ot-info.c:546
        rule = 0x65722e70726f632e
        mask = <value optimized out>
        lookup_count = 0
        j = <value optimized out>
        lookup_indexes = {0, 0, 3590411434, 53, 2, 32715, 2, 0, 4230724356, 
    32767, 4230724320, 32767, 2499782768, 65535, 4230724364, 32767, 
    2508359616, 16809931, 4217363, 0, 2289976448, 32715, 2508358464, 32715, 
    4294967295, 0, 1, 0, 32, 0, 87, 2, 2508358304, 32715, 0, 0, 4230724468, 
    32767, 2449776800, 32715, 2499782768, 32715, 2508358304, 32715, 
    2508358464, 32715, 3590385382, 53, 65536, 1, 4230724464, 32767, 
    2292553408, 32715, 4230728476, 32767, 0, 32715, 3456142768, 53, 2, 0, 
    3487843520, 53, 0, 0, 3473243870, 53, 56, 0, 2309452096, 32715, 
    3475919200, 53, 3485535099, 53, 0, 0, 0, 0, 2364122112, 32715, 89524224, 
    11010048, 2436680000, 32715, 2284045312, 32715, 2546951952, 32715, 68107, 
    0, 2440857600, 32715, 2440857600, 32715, 2310962672, 32715, 3531706187, 
    53, 2623931592, 32715, 2508687008, 32715, 2545186272, 32715, 0, 0, 
    2508687008, 32715, 3531710600, 53, 2623931568, 32715, 2508687008, 32715, 
    3, 32715, 2623924176, 32715, 2508687008, 32715, 3531710600, 53, 
    2623931544, 32715, 3531640235, 53, 3, 32715, 2623924144, 32715, 
    2508687008, 32715, 4220649, 0, 2623931592, 32715, 0, 0, 2545186240, 
    32715, 0, 0, 3, 32715, 2623924176, 32715, 2623931616, 32715, 2623931592, 
    32715, 2545186272, 32715, 3531641956, 53, 2623931616, 32715, 2545186240, 
    32715, 2545186240, 32715, 0, 0, 2508687008, 32715, 3531642077, 53, 
    2623931640, 32715, 2545186208, 32715, 2545186208, 32715, 0, 0, 
    2508687008, 32715, 3531642077, 53, 2623931664, 32715, 2545186176, 32715, 
    2545186176, 32715, 0, 0, 2508687008, 32715, 3531642077, 53, 2623931688, 
    32715, 2545186144, 32715, 2545186144, 32715, 0, 0...}
        i = <value optimized out>
#4  0x00000035d6020515 in basic_engine_shape (engine=<value optimized out>, 
    font=<value optimized out>, text=<value optimized out>, 
    length=<value optimized out>, analysis=0x7fcb89a93050, 
    glyphs=<value optimized out>) at basic-fc.c:211
        face = 0x7fcb81eb4000
        desc = {script = PANGO_SCRIPT_LATIN, language = 0x7fcb9c62fcb8, 
          static_gsub_features = 0x35d6023720, n_static_gsub_features = 4, 
          static_gpos_features = 0x35d6023760, n_static_gpos_features = 3, 
          other_features = 0x0, n_other_features = 0}
        ruleset = 0x7fcb7f4a6100
        buffer = 0x7fcb958f2ee0
        n_chars = <value optimized out>
        p = <value optimized out>
        cluster = <value optimized out>
        i = <value optimized out>
        __PRETTY_FUNCTION__ = "basic_engine_shape"
#5  0x00000035d502bd5a in pango_shape (text=
    0x7ffffc2bcd43 "Wells Fargo Online", length=18, analysis=0x7fcb89a93050, 
    glyphs=0x7fcb958f2e60) at shape.c:55
        i = <value optimized out>
        last_cluster = <value optimized out>
#6  0x00007fcb9bf5d7f2 in gfxPangoFontGroup::CreateGlyphRunsItemizing (this=
    0x7fcb866ff4c0, aTextRun=0x7fcb897f4de0, aUTF8=<value optimized out>, 
    aUTF8Length=<value optimized out>, aUTF8HeaderLen=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/gfx/thebes/src/gfxPangoFonts.cpp:3565
        len = <value optimized out>
        length = <value optimized out>
        rv = <value optimized out>
        spaceWidth = 3072
        end = <value optimized out>
        item = <value optimized out>
        offset = <value optimized out>
        font = <value optimized out>
        p = 0x7ffffc2bcd55 ""
        context = <value optimized out>
        utf16Offset = 0
        glyphString = <value optimized out>
        items = <value optimized out>
        pos = 0x7fcb96c93120 = {0x7fcb89a93040}
#7  0x00007fcb9bf603e6 in gfxPangoFontGroup::MakeTextRun (this=
    0x7fcb866ff4c0, aString=0x7ffffc2bd3c0 "Wells Fargo Online-\212\313\177", 
    aLength=18, aParams=<value optimized out>, aFlags=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/gfx/thebes/src/gfxPangoFonts.cpp:2813
        chars = 0x7ffffc2bd3c0 "Wells Fargo Online-\212\313\177"
        unicodeString = {<nsAutoString> = {<nsFixedString> = {<nsString> = 
    {<nsAString_internal> = {mData = 0x7ffffc2bcc90, mLength = 18, mFlags = 
    65553}, <No data fields>}, mFixedCapacity = 63, mFixedBuf = 
    0x7ffffc2bcc90}, mStorage = {87, 101, 108, 108, 115, 32, 70, 97, 114, 
    103, 111, 32, 79, 110, 108, 105, 110, 101, 0, 0, 16, 0, 1, 0, 37882, 
    39926, 32715, 0, 52048, 40803, 32715, 0, 36956, 41118, 0, 0, 52544, 
    64555, 2047, 0, 41102, 39925, 32715, 0, 56832, 33250, 0, 0, 0, 0, 0, 0, 
    53744, 35255, 32715, 0, 12, 0, 0, 0, 6, 0, 0, 0}}, <No data fields>}
        utf8 = {<nsFixedCString> = {<nsCString> = {<nsACString_internal> = {
                mData = 0x7ffffc2bcd40 "\342\200\255Wells Fargo Online", 
                mLength = 21, mFlags = 65553}, <No data fields>}, 
            mFixedCapacity = 63, mFixedBuf = 
    0x7ffffc2bcd40 "\342\200\255Wells Fargo Online"}, mStorage = 
    "\342\200\255Wells Fargo Online\000\000\000\205\257\230\004\377\177", '\000' <repeats 12 times>, "\001\000\000\000\000\000\030\322\267\211\313\177\000\000\025\070\365\233\313\177\000"}
        headerLen = 3
        run = 0x7fcb897f4de0
        isRTL = <value optimized out>
#8  0x00007fcb9bf59403 in TextRunWordCache::MakeTextRun (this=0x7fcb9f63cb30, 
    aText=<value optimized out>, aLength=<value optimized out>, aFontGroup=
    0x7fcb866ff4c0, aParams=0x7ffffc2bd600, aFlags=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/gfx/thebes/src/gfxTextRunWordCache.cpp:807
        font = <value optimized out>
        rv = <value optimized out>
        deferredWords = {<nsTArray<TextRunWordCache::DeferredWord>> = 
    {<nsTArray_base> = {static sEmptyHdr = {mLength = 0, mCapacity = 0, 
                mIsAutoArray = 0}, mHdr = 0x7ffffc2bcef8}, <No data fields>}, 
          mAutoBuf = 
    "\003\000\000\000\062\000\000\200", '\000' <repeats 16 times>, "\005\000\000\000\263:Q\000\000\000\000\000\000\000\000\000\006\000\000\000\006\000\000\000\005\000\000\000\037d@\000\000\000\000\000\000\000\000\000\f\000\000\000\f\000\000\000\006\000\000\000\205\257\230\004\000\020\211\207\313\177\000\000\000\000\000\000\"\000\000\000\003\000\000\000\204h\000\000\000\000\000\000\000\000\000\000\071)\310\331\065\000\000\000\000\000\000\000\204i$t\360\321+\374\377\177\000\000\000\000\000\000\000\000\000\000\071)\310\331\065\000\000\000\000\000\000\000\377\177\000\000\340\320+\374\377\177\000\000\000\000\000\000\000\000\000\000\005", '\000' <repeats 15 times>, ":.\310\331\065", '\000' <repeats 11 times>"\360, \321+\374", '\000' <repeats 12 times>, "r\204\303\331\065\000\000\000\000\000\000\000D\000\000\000\005\000\000\000\034"...}
        seenDigitToModify = <value optimized out>
        params = {mContext = 0x7fcb94b5aee0, mUserData = 0x0, mSkipChars = 
    0x0, mInitialBreaks = 0x0, mInitialBreakCount = 0, mAppUnitsPerDevUnit = 
    60}
        newRun = {mRawPtr = 0x0}
        textRun = {mRawPtr = 0x7fcb89b7d1f0}
        tempString = {<nsTArray<unsigned char>> = {<nsTArray_base> = {
              static sEmptyHdr = {mLength = 0, mCapacity = 0, mIsAutoArray = 
    0}, mHdr = 0x7ffffc2bd3b8}, <No data fields>}, mAutoBuf = 
    "\022\000\000\000\310\000\000\200Wells Fargo Online-\212\313\177\000\000\000\000\000\000\000\000\000\000\360\224-\212\313\177\000\000\000\000\000\000\313\177\000\000\340Bk\221\313\177\000\000\000\000\000\000\065", '\000' <repeats 15 times>"\313, \177\000\000\000\000\000\000\313\177\000\000\000\000\000\000\313\177\000\000\000s\221\247\313\177\000\000\000\000\000\000\000\000\000\000h\367\377\224\313\177\000\000\000\000\000\000\005", '\000' <repeats 11 times>, "P\374\016\227\313\177\000\000\000\000\020\000\001\177\000\000\000(\345\201\313\177\000\000\360\bV\222\313\177", '\000' <repeats 33 times>}
        transientRuns = {<nsTArray<nsAutoPtr<gfxTextRun> >> = 
    {<nsTArray_base> = {static sEmptyHdr = {mLength = 0, mCapacity = 0, 
                mIsAutoArray = 0}, mHdr = 0x7ffffc2bd498}, <No data fields>}, 
          mAutoBuf = 
    "\000\000\000\000\n\000\000\200", '\000' <repeats 40 times>, "P\322+\374\377\177", '\000' <repeats 18 times>, "X\201j\210\313\177\000\000\b\305\353\201\313\177\000"}
        i = 19
        wordStart = 19
        hash = 0
#9  0x00007fcb994110ee in MakeTextRun (this=0x7ffffc2bfbd0,

Comment 3 Bug Zapper 2010-11-03 14:24:35 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-03 14:27:58 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.